Members
Propose removing members
[Admin Only] Creates a proposal to remove members from the organization. Only admin API members can make requests to this endpoint.
POST
/
members
/
proposals
/
remove
cURL
curl --request POST \
--url https://api.onchainden.com/api/v1/members/proposals/remove \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Idempotency-Key: <x-idempotency-key>' \
--data '
{
"items": [
{
"id": "mem_456"
},
{
"id": "mem_789"
}
]
}
'const client = new DenClient({ apiKey: 'ck_live_...' });
const proposal = await client.proposeMemberRemoval({
ids: ['mem_123', 'mem_456'],
});
{
"data": {
"id": "prop_mem_remove_123",
"resourceType": "members",
"action": "remove",
"signatureStatus": "approvalReady",
"executionStatus": "completed",
"threshold": 2,
"approvals": [],
"rejections": [],
"createdAt": "2026-01-18T00:00:00.000Z",
"expiresAt": "2026-01-25T00:00:00.000Z",
"data": {
"items": [
{
"id": "mem_456",
"name": "Alice",
"type": "user",
"walletAddress": "0xabc..."
},
{
"id": "mem_789",
"name": "Bob",
"type": "user",
"walletAddress": "0xdef..."
}
]
},
"result": {
"resolution": "approved",
"resources": [
{
"type": "member",
"id": "mem_456"
},
{
"type": "member",
"id": "mem_789"
}
]
}
}
}Authorizations
API key authentication. Include your API key in the Authorization header.
Headers
Idempotency key for safely retrying mutation requests.
Body
application/json
List of members to remove
Show child attributes
Show child attributes
Response
Member removal proposal created
Show child attributes
Show child attributes
Example:
{
"id": "prop_mem_remove_123",
"resourceType": "members",
"action": "remove",
"signatureStatus": "approvalReady",
"executionStatus": "completed",
"threshold": 2,
"approvals": [],
"rejections": [],
"createdAt": "2026-01-18T00:00:00.000Z",
"expiresAt": "2026-01-25T00:00:00.000Z",
"data": {
"items": [
{
"id": "mem_456",
"name": "Alice",
"type": "user",
"walletAddress": "0xabc..."
},
{
"id": "mem_789",
"name": "Bob",
"type": "user",
"walletAddress": "0xdef..."
}
]
},
"result": {
"resolution": "approved",
"resources": [
{ "type": "member", "id": "mem_456" },
{ "type": "member", "id": "mem_789" }
]
}
}
⌘I
cURL
curl --request POST \
--url https://api.onchainden.com/api/v1/members/proposals/remove \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Idempotency-Key: <x-idempotency-key>' \
--data '
{
"items": [
{
"id": "mem_456"
},
{
"id": "mem_789"
}
]
}
'const client = new DenClient({ apiKey: 'ck_live_...' });
const proposal = await client.proposeMemberRemoval({
ids: ['mem_123', 'mem_456'],
});
{
"data": {
"id": "prop_mem_remove_123",
"resourceType": "members",
"action": "remove",
"signatureStatus": "approvalReady",
"executionStatus": "completed",
"threshold": 2,
"approvals": [],
"rejections": [],
"createdAt": "2026-01-18T00:00:00.000Z",
"expiresAt": "2026-01-25T00:00:00.000Z",
"data": {
"items": [
{
"id": "mem_456",
"name": "Alice",
"type": "user",
"walletAddress": "0xabc..."
},
{
"id": "mem_789",
"name": "Bob",
"type": "user",
"walletAddress": "0xdef..."
}
]
},
"result": {
"resolution": "approved",
"resources": [
{
"type": "member",
"id": "mem_456"
},
{
"type": "member",
"id": "mem_789"
}
]
}
}
}